libetonyek::KEYXMLReader Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::KEYXMLReader Class Reference

`#include <KEYXMLReader.h>`

## Classes
class | AttributeIterator
class | ElementIterator
struct | Impl
class | MixedIterator
class | NodeIterator

## Public Types
typedef boost::function< int(const char *)> | TokenizerFunction_t

## Public Member Functions
| KEYXMLReader (librevenge::RVNGInputStream *input)
| KEYXMLReader (librevenge::RVNGInputStream *input, TokenizerFunction_t tokenizer)
| KEYXMLReader (const ElementIterator &iterator)
| KEYXMLReader (const MixedIterator &iterator)
| ~KEYXMLReader ()
const char * | getName () const
| Get the local name of the current element. More...
const char * | getNamespace () const
| Get the namespace URI of the current element. More...
int | getToken (const char *token) const

## Private Types
enum | Type { TYPE_ELEMENT = 0x1, TYPE_TEXT = 0x2 }

## Private Member Functions
| KEYXMLReader (const KEYXMLReader &other)
KEYXMLReader & | operator= (const KEYXMLReader &other)
void | initialize (librevenge::RVNGInputStream *input)

## Private Attributes
Impl *const | m_impl
bool | m_owner

## Member Typedef Documentation

typedef boost::function<int(const char *)> libetonyek::KEYXMLReader::TokenizerFunction_t

## Member Enumeration Documentation

enum libetonyek::KEYXMLReader::Type
| private

Enumerator
TYPE_ELEMENT |
TYPE_TEXT |

## Constructor & Destructor Documentation

libetonyek::KEYXMLReader::KEYXMLReader | ( | const KEYXMLReader & | other | ) |
| private

libetonyek::KEYXMLReader::KEYXMLReader | ( | librevenge::RVNGInputStream * | input | ) |
| explicit

libetonyek::KEYXMLReader::KEYXMLReader | ( | librevenge::RVNGInputStream * | input,
|  | TokenizerFunction_t | tokenizer
| ) |  |

libetonyek::KEYXMLReader::KEYXMLReader | ( | const ElementIterator & | iterator | ) |

libetonyek::KEYXMLReader::KEYXMLReader | ( | const MixedIterator & | iterator | ) |

libetonyek::KEYXMLReader::~KEYXMLReader | ( |  | ) |

## Member Function Documentation

const char * libetonyek::KEYXMLReader::getName | ( |  | ) | const

Get the local name of the current element.

Warning
  Can only be used before any iterator is used.

Referenced by libetonyek::getNameId().

const char * libetonyek::KEYXMLReader::getNamespace | ( |  | ) | const

Get the namespace URI of the current element.

Warning
  Can only be used before any iterator is used.

Referenced by libetonyek::getNamespaceId().

int libetonyek::KEYXMLReader::getToken | ( | const char * | token | ) | const

Referenced by libetonyek::getNameId(), and libetonyek::getNamespaceId().

void libetonyek::KEYXMLReader::initialize | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by KEYXMLReader().

KEYXMLReader& libetonyek::KEYXMLReader::operator= | ( | const KEYXMLReader & | other | ) |
| private

## Member Data Documentation

Impl* const libetonyek::KEYXMLReader::m_impl
| private

Referenced by libetonyek::KEYXMLReader::NodeIterator::getImpl(), libetonyek::KEYXMLReader::AttributeIterator::getName(), getName(), libetonyek::KEYXMLReader::AttributeIterator::getNamespace(), getNamespace(), libetonyek::KEYXMLReader::AttributeIterator::getToken(), getToken(), libetonyek::KEYXMLReader::AttributeIterator::getValue(), initialize(), KEYXMLReader(), libetonyek::KEYXMLReader::AttributeIterator::move(), libetonyek::KEYXMLReader::NodeIterator::next(), libetonyek::KEYXMLReader::NodeIterator::test(), libetonyek::KEYXMLReader::AttributeIterator::test(), and ~KEYXMLReader().

bool libetonyek::KEYXMLReader::m_owner
| private

Referenced by ~KEYXMLReader().

The documentation for this class was generated from the following files:

- KEYXMLReader.h
- KEYXMLReader.cpp